function RBH_Help(cmd)
	if cmd == "" or cmd == nil then
        RBH_LargessMessage("","sys")
        RBH_LargessMessage("--------------------------------------","sys")
        RBH_LargessMessage("Realm Bounty Hunter v"..RBH_VERSION,"sys")
        RBH_LargessMessage("by Azinath-Lightninghoof","sys")
        RBH_LargessMessage("--------------------------------------","sys")
		RBH_LargessMessage("usage: /gbh <command> <args>","sys")
		RBH_LargessMessage("Type '/gbh help <command>' for info on a specific gbh command.","sys")
		RBH_LargessMessage("","sys")
		RBH_LargessMessage("Available gbh commands:","sys")
		RBH_LargessMessage("   audit","sys")
		RBH_LargessMessage("   bounty","sys")
        RBH_LargessMessage("   claimown", "sys")
		RBH_LargessMessage("   clear","sys")
		RBH_LargessMessage("   cut","sys")
        RBH_LargessMessage("   gbimport","sys")
		RBH_LargessMessage("   intel","sys")
		RBH_LargessMessage("   largess","sys")
		RBH_LargessMessage("   list","sys")
        RBH_LargessMessage("   onotes","sys")
        RBH_LargessMessage("   pnotes","sys")
        RBH_LargessMessage("   scale","sys")
		RBH_LargessMessage("   sync","sys")
        RBH_LargessMessage("   gbimport","sys")
        RBH_LargessMessage("   setminrank","sys")
        RBH_LargessMessage("   users","sys")
    elseif cmd == "audit" then
        RBH_LargessMessage("-----------------------------","sys")
        RBH_LargessMessage("Realm Bounty Hunter","sys")
        RBH_LargessMessage("Audit","sys")
        RBH_LargessMessage("-----------------------------","sys")
		RBH_LargessMessage("usage: /gbh audit [bounties|list|clear]","sys")
		RBH_LargessMessage("Reads the guild bank money log and bounty list and updates Largess officer notes for all new transactions.","sys")		
		RBH_LargessMessage("Requires officer note and guild info write permissions.","sys")
		RBH_LargessMessage("Requires a guild bank money log and guild roster refresh.","sys")
		RBH_LargessMessage("The optional 'bounties' argument will only audit bounties.","sys")
		RBH_LargessMessage("The optional 'list' argument will list all guild bank transactions THIS character has audited.","sys")
   		RBH_LargessMessage("The optional 'clear' argument clears the audit history list for THIS character.","sys")    
	elseif cmd == "bounty" then
        RBH_LargessMessage("-----------------------------","sys")
        RBH_LargessMessage("Realm Bounty Hunter","sys")
        RBH_LargessMessage("Bounty","sys")
        RBH_LargessMessage("-----------------------------","sys")
		RBH_LargessMessage("useage: /gbh bounty [<amount> | bg <amount>]","sys")
		RBH_LargessMessage("Opens the add bounty dialog box populated with current target data.","sys")
		RBH_LargessMessage("If an amount is included \(in copper\) then the dialog box will not open and a bounty will be placed on the current target for the specified amount.","sys")
		RBH_LargessMessage("It may be useful to create a macro like: /gbh bounty 10123","sys")
		RBH_LargessMessage("This macro could be used to quickly add a bounty to your target for 1g 1s 23c","sys")
		RBH_LargessMessage("The 'bg <amount>' option only works in a battleground.","sys")
		RBH_LargessMessage("It adds a bounty for <amount> on every enemy player currently in the battleground.","sys")
		RBH_LargessMessage("Using the 'bg' option may require a refresh of the BG Stats list.","sys")
	elseif cmd == "claimown" then
        RBH_LargessMessage("-----------------------------","sys")
        RBH_LargessMessage("Realm Bounty Hunter","sys")
        RBH_LargessMessage("Claim Your Own Bounties","sys")
        RBH_LargessMessage("-----------------------------","sys")
		RBH_LargessMessage("useage: /gbh claimown [on | off]","sys")
        RBH_LargessMessage("Enable or disable your ability to claim bounties that you have issued.", "sys")
    elseif cmd == "clear" then
        RBH_LargessMessage("-----------------------------","sys")
        RBH_LargessMessage("Realm Bounty Hunter","sys")
        RBH_LargessMessage("Clear","sys")
        RBH_LargessMessage("-----------------------------","sys")
		RBH_LargessMessage("useage: /gbh clear [all]","sys")
		RBH_LargessMessage("Clears your local bounty list.","sys")
		RBH_LargessMessage("Using the 'all' option also the clears the bounty lists for all online guild members.","sys")
		RBH_LargessMessage("The 'all' option requires officer note and guild info write permission.","sys")
	elseif cmd == "cut" then
        RBH_LargessMessage("-----------------------------","sys")
        RBH_LargessMessage("Realm Bounty Hunter","sys")
        RBH_LargessMessage("Bank Cut","sys")
        RBH_LargessMessage("-----------------------------","sys")
		RBH_LargessMessage("useage: /gbh cut <0-1>","sys")
		RBH_LargessMessage("Sets the guild bank %cut on all Largess deposits.","sys")
		RBH_LargessMessage("Requires officer note and guild info write permission.","sys")
	elseif cmd == "intel" then
        RBH_LargessMessage("-----------------------------","sys")
        RBH_LargessMessage("Realm Bounty Hunter","sys")
        RBH_LargessMessage("Intel","sys")
        RBH_LargessMessage("-----------------------------","sys")
		RBH_LargessMessage("useage: /gbh intel post | spy | report","sys")
		RBH_LargessMessage("Gathers intelligence data on your bounty targets \(e.g. zone, class, level\)","sys")
		RBH_LargessMessage("'post' will copy your bounty list to a variable accessible account wide.","sys")
		RBH_LargessMessage("'spy' will call /who on all friendly players from the account wide list.","sys")
		RBH_LargessMessage("'report' will copy the /who info from the account wide list to your character bounty list.","sys")
		RBH_LargessMessage("Typical usage would be to call '/gbh intel post' from the character whos list you seek intel on.","sys")
		RBH_LargessMessage("Then log onto a character of the opposite faction and call '/gbh intel spy'.","sys")
		RBH_LargessMessage("Once the data has been gathered, log back on with the first character and call '/gbh intel report'.","sys")
	elseif cmd == "largess" then
        RBH_LargessMessage("-----------------------------","sys")
        RBH_LargessMessage("Realm Bounty Hunter","sys")
        RBH_LargessMessage("Largess","sys")
        RBH_LargessMessage("-----------------------------","sys")
		RBH_LargessMessage("usage: /gbh largess [report | set <player> <amount> | mod <player> <amount>]","sys")
		RBH_LargessMessage("When called with no arguments, it prints the player's current largess amount.","sys")
		RBH_LargessMessage("Using the 'report' option will print the largess for all guild members.","sys")
		RBH_LargessMessage("'report' requires officer note read permission.","sys")
		RBH_LargessMessage("'set' sets <player> largess equal to <amount> \(in copper\).","sys")
		RBH_LargessMessage("'set' requires officer note write permission.","sys")
		RBH_LargessMessage("'mod' adds <amount> to <player> largess. <amount> can be negative or positive \(in copper\).","sys")
		RBH_LargessMessage("'mod' requires officer note write permission. ","sys")
		RBH_LargessMessage("Both 'set' and 'mod' accept <player='all'> to apply largess changes to all guild members.","sys")
	elseif cmd == "list" then
        RBH_LargessMessage("-----------------------------","sys")
        RBH_LargessMessage("Realm Bounty Hunter","sys")
        RBH_LargessMessage("List","sys")
        RBH_LargessMessage("-----------------------------","sys")
		RBH_LargessMessage("usage: /gbh list","sys")
		RBH_LargessMessage("Prints the filtered bounty list to selected channels.","sys")
    elseif cmd == "onotes" then
        RBH_LargessMessage("-----------------------------","sys")
        RBH_LargessMessage("Realm Bounty Hunter","sys")
        RBH_LargessMessage("Officer Notes","sys")
        RBH_LargessMessage("-----------------------------","sys")
		RBH_LargessMessage("usage: /gbh onotes save <tag> | load <tag> | list","sys")
		RBH_LargessMessage("save <tag> saves the guild officer notes with the name <tag>.","sys")
        RBH_LargessMessage("load <tag> loads the guild officer notes saved with the name <tag>.","sys")
        RBH_LargessMessage("list displays the tags of all the saved officer notes.","sys")
    elseif cmd == "pnotes" then
        RBH_LargessMessage("-----------------------------","sys")
        RBH_LargessMessage("Realm Bounty Hunter","sys")
        RBH_LargessMessage("Public Notes","sys")
        RBH_LargessMessage("-----------------------------","sys")
		RBH_LargessMessage("usage: /gbh pnotes save <tag> | load <tag> | list","sys")
		RBH_LargessMessage("save <tag> saves the guild public notes with the name <tag>.","sys")
        RBH_LargessMessage("load <tag> loads the guild public notes saved with the name <tag>.","sys")
        RBH_LargessMessage("list displays the tags of all the saved public notes.","sys")
	elseif cmd == "sync" then 
        RBH_LargessMessage("-----------------------------","sys")
        RBH_LargessMessage("Realm Bounty Hunter","sys")
        RBH_LargessMessage("Sync","sys")
        RBH_LargessMessage("-----------------------------","sys")
		RBH_LargessMessage("usage: /gbh sync","sys")
		RBH_LargessMessage("Forces a resynchronization of your bounty list with all online guild members.","sys")
		RBH_LargessMessage("This is done automatically on entering the game world and on UI reload.","sys")
    
    elseif cmd == "gbimport" then
        RBH_LargessMessage("-----------------------------","sys")
        RBH_LargessMessage("Realm Bounty Hunter","sys")
        RBH_LargessMessage("Guild Bank Import","sys")
        RBH_LargessMessage("-----------------------------","sys")
        RBH_LargessMessage("usage: /gbh gbimport [<discount>]","sys")
        RBH_LargessMessage("Imports all items in the currently selected guild bank tab into the RBH item list with prices from the Auctionator addon.","sys")
        RBH_LargessMessage("If <discount> is provided, it will apply it to the Auctionator prices.","sys")
        
    elseif cmd == "setminrank" then
        RBH_LargessMessage("-----------------------------","sys")
        RBH_LargessMessage("Realm Bounty Hunter","sys")
        RBH_LargessMessage("Set Minimum Officer Rank","sys")
        RBH_LargessMessage("-----------------------------","sys")
        RBH_LargessMessage("usage: /gbh setminrank <rankindex>","sys")
        RBH_LargessMessage("Sets the minimum officer rank for enforcing Officer Locked bounties.","sys")
        RBH_LargessMessage("RBH will not accept any bounty updates from players who's rank index is greater than <rankindex>.","sys")
    elseif cmd == "scale" then
        RBH_LargessMessage("-----------------------------","sys")
        RBH_LargessMessage("Realm Bounty Hunter","sys")
        RBH_LargessMessage("Set RBH UI Scale","sys")
        RBH_LargessMessage("-----------------------------","sys")
        RBH_LargessMessage("usage: /gbh scale <scale>","sys")
        RBH_LargessMessage("Sets the scale of the main Realm Bounty Hunter UI frame.","sys")
    elseif cmd == "users" then
        RBH_LargessMessage("-----------------------------","sys")
        RBH_LargessMessage("Realm Bounty Hunter","sys")
        RBH_LargessMessage("Lists Online Users","sys")
        RBH_LargessMessage("-----------------------------","sys")
        RBH_LargessMessage("usage: /gbh users","sys")
        RBH_LargessMessage("Reports back a list of RBH users online and their version number.","sys")
	end
end
